Jump to content

403 Forbidden


Lee Mac

Recommended Posts

  • Replies 28
  • Created
  • Last Reply

Top Posters In This Topic

  • CADTutor

    10

  • paulmcz

    6

  • Lee Mac

    5

  • BIGAL

    3

Top Posters In This Topic

Popular Posts

There is some background to this. The web hosting company are implementing tougher security measures to keep sites like CADTutor safer from exploits like cross site scripting. However, the new securit

Like this - But it appears to be fixed now

Posted Images

Ah! I got the same error as you when posting AutoLISP code without syntax highlighting but as you can see above, HTML works fine. Puzzling!

 

I'm going to have to do some investigation...

 

So it looks like the error occurs when any AutoLISP is posted. I've tried in a code block with and without syntax highlighting and outside of a code block. In each case I got the 403 error.

 

There have been no software updates recently, so I'm guessing this must be a server issue.

Link to post
Share on other sites
GURU Support
(defun DETAIL_0 ()
   (setq SYSVAR_LIST (mapcar '(lambda (X)
     (list X (getvar X)))
     '("CMDECHO"
       "OSMODE"
       "ORTHOMODE"
       "HIGHLIGHT"
      )))
   (setvar "CMDECHO" 0)
   (setvar "OSMODE" 0)
   (setvar "ORTHOMODE" 0)
   (setvar "HIGHLIGHT" 0)
   (if (zerop (getvar "TILEMODE")) ;;make sure we are mspace
      (if (= (getvar "CVPORT") 1) (progn ;;we are in paper space!
         (alert "You must be in Model Space for this routine to function!")
         (exit) ;;hard abort!
      ))
   )
   (if (zerop (getvar "WORLDUCS"))
     (command "_UCS" "_W"))
   nil
)
Link to post
Share on other sites

Hi All, it looks like we've managed to fix this issue but I'd be grateful if you could try posting some code in this thread as a test to ensure it's a robust fix.

 

Thanks

Link to post
Share on other sites

Another test...

(defun DETAIL_0 ()
   (setq SYSVAR_LIST (mapcar '(lambda (X)
     (list X (getvar X)))
     '("CMDECHO"
       "OSMODE"
       "ORTHOMODE"
       "HIGHLIGHT"
      )))
   (setvar "CMDECHO" 0)
   (setvar "OSMODE" 0)
   (setvar "ORTHOMODE" 0)
   (setvar "HIGHLIGHT" 0)
   (if (zerop (getvar "TILEMODE")) ;;make sure we are mspace
      (if (= (getvar "CVPORT") 1) (progn ;;we are in paper space!
         (alert "You must be in Model Space for this routine to function!")
         (exit) ;;hard abort!
      ))
   )
   (if (zerop (getvar "WORLDUCS"))
     (command "_UCS" "_W"))
   nil
)

 

Link to post
Share on other sites
1 hour ago, CADTutor said:

Hi All, it looks like we've managed to fix this issue but I'd be grateful if you could try posting some code in this thread as a test to ensure it's a robust fix.

 

Thanks

 

(defun c:Hello ()
  (alert "Hello World")
)

 

(defun c:Hello ()
  (alert "Hello World")
)

 

Link to post
Share on other sites

This is a part of what I posted:

 

;;; Measures distance between 2 points, along polyline

(defun c:lm (/ a b d e d1 d2 p pl oecho osn)
  (vl-load-com)
  (command "cmdecho" (getvar "cmdecho"))
 
 

Link to post
Share on other sites

In previous post, I copied the whole routine as regular text (without placing it in brackets wrapping) and got the error again. Then, I deleted a half of the routine - got the error. Only when I deleted most of the routine, it went through.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...